%define svn	0
%define rel	1
%if %svn
%define release		%mkrel 0.%svn.%rel
%define distname	%{name}-%{svn}.tar.lzma
%define dirname		%{name}
%else
%define release		%mkrel %rel
%define distname	%{name}-%{version}.tar.bz2
%define dirname		%{name}-%{version}
%endif

Summary:	Simple Bittorrent client
Name:		transmission
Version:	1.40
Release:	%{release}
Source0:	http://download.m0k.org/transmission/files/%{distname}
License:	MIT and GPLv2
Group:		Networking/File transfer
URL:		http://www.transmissionbt.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk+2-devel
BuildRequires:	bzip2
BuildRequires:	openssl-devel
BuildRequires:	desktop-file-utils
BuildRequires:	ImageMagick
BuildRequires:	libcurl-devel
BuildRequires:	libnotify-devel
BuildRequires:	intltool

%description
Transmission is a free, lightweight BitTorrent client. It features a 
simple, intuitive interface on top of an efficient back-end.

%prep
%setup -q -n %{dirname}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -scale 48 %{buildroot}/usr/share/pixmaps/transmission.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png 
convert -scale 32 %{buildroot}/usr/share/pixmaps/transmission.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 %{buildroot}/usr/share/pixmaps/transmission.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%if %mdkversion < 200900
%post
%{update_icon_cache hicolor}
%{update_menus}
%{update_desktop_database}
%endif
%if %mdkversion < 200900
%postun
%{clean_icon_cache hicolor}
%{clean_menus}
%{clean_desktop_database}
%endif

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%doc README NEWS
%{_bindir}/%{name}
%{_bindir}/%{name}cli
%{_bindir}/%{name}-daemon
%{_bindir}/%{name}-remote
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/*/*


%changelog
* Mon Nov 17 2008 Adam Williamson <awilliamson@mandriva.com> 1.40-1mdv2009.1
+ Revision: 304023
- buildrequires intltool, apparently
- drop fix-memleak.patch (merged upstream, and was wrongly done in any case)
- new release 1.40

* Fri Oct 17 2008 Adam Williamson <awilliamson@mandriva.com> 1.34-1mdv2009.1
+ Revision: 294801
- new release 1.34

* Thu Sep 25 2008 Frederik Himpe <fhimpe@mandriva.org> 1.33-2mdv2009.0
+ Revision: 288214
- Add upstream patch fixing huge memory leak, from Debian:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=499828

* Fri Aug 22 2008 Frederik Himpe <fhimpe@mandriva.org> 1.33-1mdv2009.0
+ Revision: 275208
- Update to version 1.33, remove patch integrated upstream

* Thu Aug 14 2008 Adam Williamson <awilliamson@mandriva.com> 1.32-2mdv2009.0
+ Revision: 271688
- add open.patch from SVN: fixes a problem with opening torrents from Firefox
- streamline spec svn conditionals

* Wed Aug 13 2008 Adam Williamson <awilliamson@mandriva.com> 1.32-1mdv2009.0
+ Revision: 271546
- new release 1.32

* Thu Aug 07 2008 Funda Wang <fundawang@mandriva.org> 1.31-1mdv2009.0
+ Revision: 265679
- New version 1.31
- drop libevent BR, it ships its own libevent

* Sun Jun 15 2008 Funda Wang <fundawang@mandriva.org> 1.22-1mdv2009.0
+ Revision: 219299
- New version 1.22

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 25 2008 Funda Wang <fundawang@mandriva.org> 1.21-1mdv2009.0
+ Revision: 211118
- update to new version 1.21

* Sun May 11 2008 Adam Williamson <awilliamson@mandriva.com> 1.20-1mdv2009.0
+ Revision: 205560
- buildrequires libcurl-devel
- new release 1.20

* Mon Apr 14 2008 Adam Williamson <awilliamson@mandriva.com> 1.11-1mdv2009.0
+ Revision: 193040
- new release 1.11

* Thu Feb 28 2008 Adam Williamson <awilliamson@mandriva.com> 1.06-1mdv2008.1
+ Revision: 175965
- new release 1.06

* Sat Feb 09 2008 Funda Wang <fundawang@mandriva.org> 1.05-1mdv2008.1
+ Revision: 164575
- New version 1.05

* Sat Feb 02 2008 Funda Wang <fundawang@mandriva.org> 1.04-1mdv2008.1
+ Revision: 161322
- New version 1.04

* Wed Jan 30 2008 Funda Wang <fundawang@mandriva.org> 1.03-1mdv2008.1
+ Revision: 160266
- New version 1.03

* Tue Jan 15 2008 Adam Williamson <awilliamson@mandriva.com> 1.01-1mdv2008.1
+ Revision: 153443
- new release 1.01

* Fri Jan 11 2008 Adam Williamson <awilliamson@mandriva.com> 1.00-1mdv2008.1
+ Revision: 148799
- new release 1.00
- restore buildroot for backport

* Thu Dec 20 2007 Adam Williamson <awilliamson@mandriva.com> 0.96-1mdv2008.1
+ Revision: 135386
- minor spec clean
- new release 0.96

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 05 2007 Adam Williamson <awilliamson@mandriva.com> 0.95-1mdv2008.1
+ Revision: 115739
- new release 0.95

* Tue Nov 27 2007 Adam Williamson <awilliamson@mandriva.com> 0.94-1mdv2008.1
+ Revision: 113533
- new release 0.94

* Sun Nov 18 2007 Adam Williamson <awilliamson@mandriva.com> 0.93-1mdv2008.1
+ Revision: 109771
- new release 0.93

* Sat Nov 10 2007 Adam Williamson <awilliamson@mandriva.com> 0.92-1mdv2008.1
+ Revision: 107449
- new release 0.92

* Mon Nov 05 2007 Adam Williamson <awilliamson@mandriva.com> 0.91-2mdv2008.1
+ Revision: 106208
- rebuild for lzma permissions issue (#35309)

* Tue Oct 30 2007 Adam Williamson <awilliamson@mandriva.com> 0.91-1mdv2008.1
+ Revision: 103906
- package man pages
- new release 0.91

* Thu Oct 25 2007 Adam Williamson <awilliamson@mandriva.com> 0.90-1mdv2008.1
+ Revision: 102010
- drop man dir fix patch, no longer needed
- drop a couple of workarounds no longer needed due to upstream changes
- adjust file list
- new release 0.90

* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.com> 0.82-1mdv2008.0
+ Revision: 91270
- new release 0.82 (important bug fixes)
- spec clean

* Wed Aug 29 2007 Adam Williamson <awilliamson@mandriva.com> 0.81-1mdv2008.0
+ Revision: 73312
- add some new translations to the file list
- use %%setup -c because this version's tarball is broken
- new release 0.81

* Sun Aug 12 2007 Adam Williamson <awilliamson@mandriva.com> 0.80-3mdv2008.0
+ Revision: 62338
- correct icon name in .desktop file

* Sun Aug 12 2007 Adam Williamson <awilliamson@mandriva.com> 0.80-2mdv2008.0
+ Revision: 62303
- update file list
- drop old icons and some unneeded fd.o resolutions
- buildrequires libevent-devel (for daemon)
- update license (some files are now GPL)
- new release 0.80

* Thu Aug 09 2007 Funda Wang <fundawang@mandriva.org> 0.72-2mdv2008.0
+ Revision: 60902
- Use applications' own desktop file

* Mon Apr 30 2007 Adam Williamson <awilliamson@mandriva.com> 0.72-1mdv2008.0
+ Revision: 19704
- 0.72, use upstream versioning and archive naming

* Fri Apr 20 2007 Adam Williamson <awilliamson@mandriva.com> 0.7.0-1mdv2008.0
+ Revision: 16357
- 0.7.0 final

* Tue Apr 17 2007 Adam Williamson <awilliamson@mandriva.com> 0.7.0-0.1733.1mdv2008.0
+ Revision: 13861
- new snapshot 1733
- add patch from trac to handle malformed bencoded responses


* Sat Apr 07 2007 Adam Williamson <awilliamson@mandriva.com> 0.7.0-0.1675.1mdv2007.1
+ Revision: 150888
- SVN snapshot
- Drop all patches but manpage location fix (merged)
- Handle l10n files correctly
- generate full icon set
- Import transmission

